/** Copyright 2012
*
* Author: Ismael PONCE GORDILLO
*
* Licensed under the EUPL, Version 1.1 or – as soon they will be
* approved by the European Commission – subsequent versions of the
* EUPL (the "Licence"); you may not use this work except in
* compliance with the Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the Licence is distributed on an "AS
* IS" BASIS, * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing permissions
* and limitations under the Licence.
*/
import java.util.Vector;

import org.eclipse.swt.widgets.Table;

public class TableConId {
	private Vector<String> idFila = new Vector<String>();
	private Vector<String> idColumna = new Vector<String>();
	private Vector<Vector<String>> emergente = new Vector<Vector<String>>();
	private Table objetoTable = null;
	public TableConId(Table objetoTable) {this.objetoTable = objetoTable;}
	public Vector<String> getIdFila() {return idFila;}
	public Vector<String> getIdColumna() {return idColumna;}
	public Vector<Vector<String>> getEmergente() {return emergente;}
	public void setEmergente(Vector<Vector<String>> emergente) {this.emergente = emergente;}
	public Table getObjetoTable() {return objetoTable;}
	public void setObjetoTable(Table objetoTable) {this.objetoTable = objetoTable;}
	public void borrar(){
		this.getObjetoTable().removeAll();
		for (;this.getObjetoTable().getColumns().length>0;) this.getObjetoTable().getColumns()[0].dispose();
		this.getObjetoTable().update();
		this.idColumna.removeAllElements();
		this.idFila.removeAllElements();
		this.getEmergente().removeAllElements();
	}
}
